curl "https://api.60db.ai/agents?limit=50" \
-H "Authorization: Bearer your-api-key"
const { agents, total } = await client.agents.list({ limit: 50 });
result = client.agents.list(limit=50)
Agents
List Agents
List the phone voice agents in your workspace
GET
/
agents
curl "https://api.60db.ai/agents?limit=50" \
-H "Authorization: Bearer your-api-key"
const { agents, total } = await client.agents.list({ limit: 50 });
result = client.agents.list(limit=50)
List agents in your workspace, newest first. For access and permission errors, see Agents.
Request
Headers
string
required
Bearer token with your API key (scope
agents)Query Parameters
integer
default:"50"
1–100
integer
default:"0"
For pagination
Response
200 OK{
"success": true,
"data": {
"agents": [
{
"id": "9c2e1d7a-0b3f-4e6a-8f1d-5a7b9c0e2d44",
"name": "Front desk",
"script": "You are the receptionist for Juniper Kitchen. Keep replies short.",
"greeting": "Hello, Juniper Kitchen. How can I help?",
"voice_id": "YOUR_VOICE_ID",
"gender": null,
"listen_languages": ["hi", "en"],
"speak_languages": [],
"emotion": true,
"tools": [],
"tool_webhook_url": null,
"event_webhook_url": null,
"knowledge_collection_id": null,
"call_defaults": { "max_duration_secs": 300, "record": true },
"created_at": "2026-11-03T10:00:00.000Z",
"updated_at": "2026-11-03T10:00:00.000Z"
}
],
"total": 1,
"limit": 50,
"offset": 0
}
}
Example
curl "https://api.60db.ai/agents?limit=50" \
-H "Authorization: Bearer your-api-key"
const { agents, total } = await client.agents.list({ limit: 50 });
result = client.agents.list(limit=50)